<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ZYDN.Config</name>
    </assembly>
    <members>
        <member name="T:ZYDN.Config.WebConfig">
            <summary>
            Author:Dacia
            </summary>
        </member>
        <member name="M:ZYDN.Config.WebConfig.#ctor">
            <summary>
            初始化 配置文件访问实例
            配置文件地址默认为当前根路径下
            Web.Config
            默认不加密
            驱动：
            DataProtectionConfigurationProvider
            </summary>
        </member>
        <member name="M:ZYDN.Config.WebConfig.#ctor(System.String)">
             <summary>
             初始化 配置文件访问实例
             </summary>
            <param name="configPath">配置文件的地址</param>
        </member>
        <member name="M:ZYDN.Config.WebConfig.SetAppSettings(System.String,System.String)">
            <summary>
            设置配置文件中 AppSettings 节点的值
            </summary>
            <param name="keyName">节点Key名称</param>
            <param name="keyValue">节点Key的值</param>
        </member>
        <member name="M:ZYDN.Config.WebConfig.SetConnectionStrings(System.String,System.String)">
            <summary>
            设置配置文件中 ConnectionStrings 节点的值
            </summary>
            <param name="connectionName">连接名称</param>
            <param name="connectionString">连接字符串</param>
        </member>
        <member name="M:ZYDN.Config.WebConfig.connStrEncryption">
            <summary>
            用系统自定义算法加密web.config中的数据库连接
            </summary>
            <returns>２本来就已加密，无需加密，１加密成功</returns>
        </member>
        <member name="M:ZYDN.Config.WebConfig.connStrDecryptFile">
            <summary>
            把连接字符串解密，并写入WEB.CONFIG
            </summary>
            <returns>2  本来就没有解密，无需解密　１　　解密成功</returns>
        </member>
        <member name="M:ZYDN.Config.WebConfig.connStrDecrypt(System.String)">
            <summary>
            用自定义算法解密字符
            </summary>
            <param name="s"></param>
            <returns></returns>
        </member>
        <member name="P:ZYDN.Config.WebConfig.ConfigPath">
            <summary>
            配置文件的地址
            </summary>
        </member>
        <member name="P:ZYDN.Config.WebConfig.IsProtected">
            <summary>
            配置方式:是否加密
            </summary>
        </member>
        <member name="P:ZYDN.Config.WebConfig.ProtectProvider">
            <summary>
            加密方式驱动
            </summary>
        </member>
    </members>
</doc>
